aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorpsykose <alice@ayaya.dev>2022-09-01 05:26:42 +0000
committeralice <alice@ayaya.dev>2022-09-01 10:10:08 +0000
commited6e785af285e2f0c58092e12f92abfc1f04f5a2 (patch)
tree273da750f66d0ad60db2e5d9a1cb4d827fe8da5f
parentb5fc241e37e03fe1130bab4ce2f599d08d936693 (diff)
downloadaports-ed6e785af285e2f0c58092e12f92abfc1f04f5a2.tar.gz
aports-ed6e785af285e2f0c58092e12f92abfc1f04f5a2.tar.bz2
aports-ed6e785af285e2f0c58092e12f92abfc1f04f5a2.tar.xz
main/poppler: upgrade to 22.09.0
-rw-r--r--main/poppler/APKBUILD19
-rw-r--r--main/poppler/dont-enforce-build-type.patch26
2 files changed, 9 insertions, 36 deletions
diff --git a/main/poppler/APKBUILD b/main/poppler/APKBUILD
index 445c3e31e9..89e08571e7 100644
--- a/main/poppler/APKBUILD
+++ b/main/poppler/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=poppler
-pkgver=22.08.0
+pkgver=22.09.0
pkgrel=0
pkgdesc="PDF rendering library based on xpdf 3.0"
url="https://poppler.freedesktop.org/"
@@ -26,9 +26,7 @@ makedepends="
zlib-dev
"
subpackages="$pkgname-dev $pkgname-doc $pkgname-glib $pkgname-utils"
-source="https://poppler.freedesktop.org/poppler-$pkgver.tar.xz
- dont-enforce-build-type.patch
- "
+source="https://poppler.freedesktop.org/poppler-$pkgver.tar.xz"
# secfixes:
# 0.80.0-r0:
@@ -56,14 +54,16 @@ build() {
CMAKE_CROSSOPTS="-DCMAKE_SYSTEM_NAME=Linux -DCMAKE_HOST_SYSTEM_NAME=Linux"
fi
cmake -B build -G Ninja \
- -DCMAKE_BUILD_TYPE=MinSizeRel \
+ -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_LIBDIR=lib \
-DENABLE_UNSTABLE_API_ABI_HEADERS=ON \
- -DBUILD_QT5_TESTS=OFF \
+ -DBUILD_QT5_TESTS="$(want_check && echo ON || echo OFF)" \
+ -DBUILD_QT6_TESTS="$(want_check && echo ON || echo OFF)" \
+ -DBUILD_GTK_TESTS="$(want_check && echo ON || echo OFF)" \
+ -DBUILD_CPP_TESTS="$(want_check && echo ON || echo OFF)" \
+ -DBUILD_MANUAL_TESTS="$(want_check && echo ON || echo OFF)" \
-DENABLE_QT5=OFF \
- -DCMAKE_CXX_FLAGS="$CXXFLAGS" \
- -DCMAKE_C_FLAGS="$CFLAGS" \
-DENABLE_BOOST=OFF \
$CMAKE_CROSSOPTS
cmake --build build
@@ -101,6 +101,5 @@ _cpp() {
}
sha512sums="
-bbff6d51eaafe58891357069c83e43ea25b4077755fa715a17b38660cd3cd546fa21d2e17a272d9b375f7e440e6e3661e84a20f18d445e0f28d06971abc04666 poppler-22.08.0.tar.xz
-b4141912e73e9a0baaf7b69d0901db24b4aba854c6aff8e01389ac760e4d23606ff29c37626747f24184f1bfc97e25d53a0f99b24eef7661ac9805ea3311802a dont-enforce-build-type.patch
+bd288b042ad6fa31584d733b941b7ba72d9e68407fda5596827d559be0f46cf27dd8e0b1b7e0d58c997e29b18c5f086486f900965229c61e034e31d8ac474613 poppler-22.09.0.tar.xz
"
diff --git a/main/poppler/dont-enforce-build-type.patch b/main/poppler/dont-enforce-build-type.patch
deleted file mode 100644
index 5296880366..0000000000
--- a/main/poppler/dont-enforce-build-type.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-diff --git a/cmake/modules/PopplerMacros.cmake b/cmake/modules/PopplerMacros.cmake
-index 2aed028..fdbe318 100644
---- a/cmake/modules/PopplerMacros.cmake
-+++ b/cmake/modules/PopplerMacros.cmake
-@@ -75,21 +75,6 @@ if(WIN32)
- "${CMAKE_INSTALL_PREFIX}/bin" )
- endif(WIN32)
-
--if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
-- set(CMAKE_BUILD_TYPE RelWithDebInfo)
--endif(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
--
--string(TOUPPER "${CMAKE_BUILD_TYPE}" _CMAKE_BUILD_TYPE_UPPER)
--set(_known_build_types RELWITHDEBINFO;RELEASE;DEBUG;DEBUGFULL;PROFILE)
--# We override CMAKE_CXX_FLAGS_${_CMAKE_BUILD_TYPE_UPPER} below. If the user
--# selects a CMAKE_BUILD_TYPE that is not handled by the logic below, we will
--# end up dropping the previous flags (e.g. those set in a cross-compilation
--# CMake toolchain file). To avoid surprising compilation errors, we emit an
--# error in that case, so that the user can handle the passed CMAKE_BUILD_TYPE
--# in the compiler flags logic below.
--if (NOT "${_CMAKE_BUILD_TYPE_UPPER}" IN_LIST _known_build_types)
-- message(FATAL_ERROR "Unsupported CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}")
--endif()
- set(_save_cflags "${CMAKE_C_FLAGS}")
- set(_save_cxxflags "${CMAKE_CXX_FLAGS}")
-